| iTool User's Guide: Visualization Properties |

## Map Grid

Figure D-28: Visualization Browser with
Map Grid Object Properties Displayed

Figure D-28: Visualization Browser with
Map Grid Object Properties Displayed

These properties control map grid object visualizations. For each property, the type of control and the values that can be assigned are listed. For a description of how a particular control is used, refer to Property Controls.

Table D-58: Property Settings for Map Grid

Table D-58: Property Settings for Map Grid
Name | Description
--- | ---
Automatic grid | Boolean: Automatically compute the grid range and spacing. Choose True or False. Default = True Note - If a SAVE file is restored from an IDL version prior to 6.2, this property is set to False.
Longitude minimum (deg) | Number: Minimum longitude, in degrees, to include in the grid
Longitude maximum (deg) | Number: Maximum longitude, in degrees, to include in the grid
Latitude minimum (deg) | Number: Minimum latitude, in degrees, to include in the grid
Latitude maximum (deg) | Number: Maximum latitude, in degrees, to include in the grid
Longitude spacing | Number: Longitude grid spacing, in degrees
Latitude spacing | Number: Latitude grid spacing, in degrees
Longitude lines | User Defined: Click to edit individual or all longitude line properties. Click and Edit... to display the Map Grid Lines dialog.
Latitude lines | User Defined: Click to edit individual or all latitude line properties. Click and Edit... to display the Map Grid Lines dialog.
Color | Color: Color for the grid lines. Click to choose from the default color palette, or specify RGB values. Default = `[0,0,0]` (black)
Thickness | Line Thickness: Thickness for the grid lines. Select a thickness from the list. Default = `1`
Transparency | Number: Transparency of the grid lines from 0% to 100%. Move the slider to change the value. Default = `0`
Label | Boolean: Use labels on the grid lines. Choose True or False. Default = True
Label position | Number: Normalized label position. Default = `0.5`
Use label color | Boolean: Use default color instead of Label color. Choose True or False. Default = False
Label color | Color: Color for the grid label. Click to choose from the default color palette, or specify RGB values. Default = `[0,0,0]` (black)
Label fill background | String List: Choose the kind of fill background for the label. Choose from these values: None View color Fill color
Label fill color | Color: Color for the label background's fill. Click to choose from the default color palette, or specify RGB values. Default = [`255, 255, 255]` (white)
Text font | String List: Font used for label text. Select a font from the list. Choose from these values: Helvetica Courier Times Symbol Hershey Default = Helvetica
Text style | String List: Style used for label text. Select a style from the list. Choose from these values: Normal Bold Italic Bold italic Default = Normal
Text font size | Number: Font size in points for the label text. Edit the number to change the size. Default = `12`

The Map Grid Lines dialog displays a property sheet for the longitude or latitude lines, depending on which set you want to edit. This sheet includes the same properties as the overall Map Grid object, from Color to Text font size.

IDL Online Help (March 01, 2006)